Subject: [payload] draft-ietf-payload-rtp-ancillary-06: Comments on 3G-B, Transmission order, Placement

From: Kjetil Oftedal <[email-masked]>
Date: Sun, 6 Nov 2016 22:27:54 +0100

Hi,

1. Multilink format support
Solution for the missing signaling for multilink formats has not been included
in the current draft, which is required to support 3G Level B Dual
Link (1080p60),
12G SDI (4Kp60). The length field of the primary header could be
replaced with a
channel field, as this length field does not provide much more information than
the length field present in the UDP header. Or this can be signaled in the
SDP as previously suggested by Thomas Edwards.

2. C-field for packets without specified location
---
   An ANC data packet with the header fields Line_Number of 0x7FF and
   Horizontal_Offset of 0xFFF SHALL be considered to be carried without
   any specific location within the field or frame, and in such a case
   the "C" field SHALL be ignored.
---
Most if not all ANC packet specifications dictate which if it the
packet is to be
transmitted in the Y or C channel. It will be more generic if the C-bit is
enforced in this case.

3. Support for any placement in vertical or horizontal area
---
   A value of 0xFFF (all bits in the field are '1') indicates that the ANC data
   is carried without any specific location within the line.
---
This does not separate between any placement in VANC or HANC space
I will suggest that a second reserved value is added (0xFFE) for any placement
within HANC, and 0xFFF is any kept as any placement within VANC.

4. ANC packet transmission order and latency
---
   ANC data packets with headers that specify specific location within a
   field or frame SHOULD be sent in raster scan order, both in terms of
   packing position within an RTP packet and in terms of transmission
   time of RTP packets.
---
This implies that a full compliant receiver must have a full frame of latency
when embedding to SDI as the packets does not have to be in order.
Implementation of receivers will be easier and the amount of buffering
required will be lower if cable order ANC transmission is mandated.

Best regards,
Kjetil Oftedal